Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::zip_with_fn Struct Reference

## Synopsis of methods
constexpr zip_with_fn | zip_with {}

## Public Member Functions
template<typename... Rngs, typename Fun >
zip_with_view< Fun, all_t< Rngs >... > | operator() (Fun fun, Rngs &&... rngs) const
template<typename Fun >
constexpr empty_view< std::tuple<> > | operator() (Fun) const noexcept

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename... Rngs, typename Fun >

zip_with_view<Fun, all_t<Rngs>...> ranges::views::zip_with_fn::operator() | ( | Fun | fun,
|  | Rngs &&... | rngs
| ) |  | const

Precondition
  requires `and_v<viewable_range<Rngs>...> && and_v<input_range<Rngs>...> && copy_constructible<Fun> && invocable<Fun &, range_reference_t<Rngs>...> && (sizeof...(Rngs) != 0)` //

## ◆ operator()() [2/2]

template<typename Fun >

constexpr empty_view<std::tuple<> > ranges::views::zip_with_fn::operator() | ( | Fun |  | ) | const
| constexpr noexcept

Precondition
  requires `copy_constructible<Fun> && invocable<Fun &>`

References ranges::aux::move.